# Object management

## Autodeployment

Object management configurations can be autodeployed by creating json files in the `classpath*:config/objectmanagement/` folder. The name of the file does not matter, but it is advised to keep it in line with the object title.

You can find an example of the JSON below:

```json
{
  "id": "c944484a-597a-483f-b647-df3bb5b57f5f",
  "title": "Example",
  "objecttypenApiPluginConfigurationId": "73d181c5-2ead-421c-a5f2-bb7bd455e922",
  "objecttypeId": "0d2d0620-c0f0-43cd-99f8-5156ab15d219",
  "objectenApiPluginConfigurationId": "a13d5023-1a13-4942-9014-33b46104fb5e",
  "showInDataMenu": false,
  "formDefinitionView": "example-view-form",
  "formDefinitionEdit": "example-edit-form"
}
```

`formDefinitionView` and `formDefinitionEdit` specify the names of the forms to use for respectively viewing or editing the object. It is case-insensitive.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/nog-een-plek-geven/reference/modules/object-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
